CREATE TABLE IF NOT EXISTS `digitalhub_settings` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`title` varchar(255) NOT NULL,
	`description` varchar(255) NOT NULL,
	`keywords` varchar(255) NOT NULL,
	`sitename` varchar(255) NOT NULL,
	`url` varchar(255) NOT NULL,
	`cdn_url` varchar(255) NOT NULL,
	`email` varchar(255) NOT NULL,
	`contact_email` varchar(255) NOT NULL,
	`earnings` varchar(255) NOT NULL,
	`currency` varchar(255) NOT NULL,
	`paypal_email` varchar(255) NOT NULL,
	`main_folder_name` varchar(255) NOT NULL,
	`home_title` varchar(255) NOT NULL,
	`home_desc` varchar(255) NOT NULL,
	`home_dimensions` varchar(255) NOT NULL,
	`item_dimensions` varchar(255) NOT NULL,
	`footer_text` varchar(255) NOT NULL,
	`twitter_name` varchar(255) NOT NULL,
	`reg_quota` int(11) NOT NULL,
	`mem_quota` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

CREATE TABLE IF NOT EXISTS `digitalhub_users` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`usern` varchar(255) NOT NULL,
	`fname` varchar(255) NOT NULL,
	`lname` varchar(255) NOT NULL,
	`passwd` varchar(255) NOT NULL,
	`email` varchar(255) NOT NULL,
	`role` int(11) NOT NULL,
	`quotas` int(11) NOT NULL,
	`status` int(11) NOT NULL,
	`pname` varchar(255) NOT NULL,
	`facebook_url` varchar(255) NOT NULL,
	`website_url` varchar(255) NOT NULL,
	`twitter_name` varchar(255) NOT NULL,
	`user_desc` varchar(255) NOT NULL,
	`avatar` varchar(255) NOT NULL,
	`user_currency` varchar(255) NOT NULL,
	`user_paypal` varchar(255) NOT NULL,
	`user_banner` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

CREATE TABLE IF NOT EXISTS `digitalhub_items` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`name` varchar(255) NOT NULL,
	`author` varchar(255) NOT NULL,
	`author_avatar` varchar(255) NOT NULL,
	`author_profile` varchar(255) NOT NULL,
	`description` text NOT NULL,
	`price_regular` varchar(255) NOT NULL,
	`price_extended` varchar(255) NOT NULL,
	`item_currency` varchar(255) NOT NULL,
	`paypal_address` varchar(255) NOT NULL,
	`status` int(11) NOT NULL,
	`featured` varchar(255) NOT NULL,
	`membership` varchar(255) NOT NULL,
	`sales` int(11) NOT NULL,
	`downloads` int(11) NOT NULL,
	`comments` int(11) NOT NULL,
	`category_id` int(11) NOT NULL,
	`demo_url` text NOT NULL,
	`screenshots_url` text NOT NULL,
	`video_url` text NOT NULL,
	`custom_url` text NOT NULL,
	`thumbnail` text NOT NULL,
	`preview` text NOT NULL,
	`main_file` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=10000;

CREATE TABLE IF NOT EXISTS `digitalhub_purchases` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`item_id` varchar(255) NOT NULL,
	`usern` varchar(255) NOT NULL,
	`buyer_email` varchar(255) NOT NULL,
	`code` varchar(255) NOT NULL,
	`name` varchar(255) NOT NULL,
	`membership` varchar(255) NOT NULL,
	`price` varchar(255) NOT NULL,
	`time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;